Package it.ernytech.tdlib

## Class TdApi.GetInlineQueryResults

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetInlineQueryResults

Enclosing class:
  TdApi

    public static class TdApi.GetInlineQueryResults
    extends TdApi.Function

Sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `InlineQueryResults`

### Field Summary

Fields
`int` `botUserId` The identifier of the target bot.
`long` `chatId` Identifier of the chat, where the query was sent.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `offset` Offset of the first entry to return.
`java.lang.String` `query` Text of the query.
`TdApi.Location` `userLocation` Location of the user, only if needed.

### Constructor Summary

Constructors
`GetInlineQueryResults()` Default constructor.
`GetInlineQueryResults​(int botUserId, long chatId, TdApi.Location userLocation, java.lang.String query, java.lang.String offset)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### botUserId

    public int botUserId

The identifier of the target bot.

#### chatId

    public long chatId

Identifier of the chat, where the query was sent.

#### userLocation

    public TdApi.Location userLocation

Location of the user, only if needed.

#### query

    public java.lang.String query

Text of the query.

#### offset

    public java.lang.String offset

Offset of the first entry to return.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetInlineQueryResults

    public GetInlineQueryResults()

Default constructor.

#### GetInlineQueryResults

    public GetInlineQueryResults​(int botUserId,
                                 long chatId,
                                 TdApi.Location userLocation,
                                 java.lang.String query,
                                 java.lang.String offset)

Constructor for initialization of all fields.

Parameters:
  `botUserId` - The identifier of the target bot.
  `chatId` - Identifier of the chat, where the query was sent.
  `userLocation` - Location of the user, only if needed.
  `query` - Text of the query.
  `offset` - Offset of the first entry to return.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR